GNU bug report logs - #21999
25.0.50; Binary with --enable-checking immediately aborts with '0<=size'

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: David Engster <deng@HIDDEN>; Keywords: fixed; dated Mon, 23 Nov 2015 19:54:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) fixed. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.

Message received at 21999 <at> debbugs.gnu.org:


Received: (at 21999) by debbugs.gnu.org; 25 Nov 2015 17:34:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 25 12:34:29 2015
Received: from localhost ([127.0.0.1]:53038 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a1dxd-0003W6-0A
	for submit <at> debbugs.gnu.org; Wed, 25 Nov 2015 12:34:29 -0500
Received: from mtaout22.012.net.il ([80.179.55.172]:39366)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1a1dxH-0003VU-NX
 for 21999 <at> debbugs.gnu.org; Wed, 25 Nov 2015 12:34:26 -0500
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0NYD00I00SMJ4Y00@HIDDEN> for 21999 <at> debbugs.gnu.org;
 Wed, 25 Nov 2015 19:34:06 +0200 (IST)
Received: from HOME-C4E4A596F7 ([84.94.185.246]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NYD00HZ0SSSXO60@HIDDEN>;
 Wed, 25 Nov 2015 19:34:04 +0200 (IST)
Date: Wed, 25 Nov 2015 19:34:00 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#21999: 25.0.50;
 Binary with --enable-checking immediately aborts with '0<=size'
In-reply-to: <565568D9.2010005@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Paul Eggert <eggert@HIDDEN>
Message-id: <83610qx9tj.fsf@HIDDEN>
References: <87oaekh4s5.fsf@HIDDEN> <83poz0zcsi.fsf@HIDDEN>
 <87poyzzpph.fsf@HIDDEN> <83bnajz88k.fsf@HIDDEN>
 <565568D9.2010005@HIDDEN>
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: 21999
Cc: 21999 <at> debbugs.gnu.org, dima@HIDDEN, deng@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)

> Cc: deng@HIDDEN, 21999 <at> debbugs.gnu.org
> From: Paul Eggert <eggert@HIDDEN>
> Date: Tue, 24 Nov 2015 23:52:57 -0800
> 
> Eli Zaretskii wrote:
> > After all, the size field of the pseudo-vector object is not
> > really a size, but a bunch of bitfields, so I'm not sure testing it in
> > its entirety makes sense.  Paul?
> 
> The point of the eassume is that it improves code quality in the common case 
> where the size field is actually a size, since the compiler can generate better 
> code when it knows that sizes are nonnegative.  Also, it should improve checking 
> a bit, in case someone trashes a size field.
> 
> Looks like this is more trouble than it's worth, and we should get rid of that 
> eassume, at least in emacs-25.  Or have you fixed it?

I fixed this particular issue, which happened because several macros
on font.h used ASIZE and were called in the context of GC.  Now each
such macro has a GC_* variant that calls gc_asize instead.  If that's
a clean enough solution, we can safely move on.  I was just worried
that ASIZE is no longer safe in GC, and any macro that uses it becomes
unsafe.  But currently, any such remaining macros aren't called by GC
code, so there are no more known problems, just a subtlety.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21999; Package emacs. Full text available.

Message received at 21999 <at> debbugs.gnu.org:


Received: (at 21999) by debbugs.gnu.org; 25 Nov 2015 07:53:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 25 02:53:19 2015
Received: from localhost ([127.0.0.1]:52011 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a1UtD-00028l-H6
	for submit <at> debbugs.gnu.org; Wed, 25 Nov 2015 02:53:19 -0500
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:58701)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eggert@HIDDEN>) id 1a1Ust-000282-76
 for 21999 <at> debbugs.gnu.org; Wed, 25 Nov 2015 02:53:18 -0500
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 28BAB1606CC;
 Tue, 24 Nov 2015 23:52:58 -0800 (PST)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id 0E8tPS0R3-pF; Tue, 24 Nov 2015 23:52:57 -0800 (PST)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 7A92F160707;
 Tue, 24 Nov 2015 23:52:57 -0800 (PST)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id e3Os0VSD7zzT; Tue, 24 Nov 2015 23:52:57 -0800 (PST)
Received: from [192.168.1.9] (pool-100-32-155-148.lsanca.fios.verizon.net
 [100.32.155.148])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 54D871606CC;
 Tue, 24 Nov 2015 23:52:57 -0800 (PST)
Subject: Re: bug#21999: 25.0.50; Binary with --enable-checking immediately
 aborts with '0<=size'
To: Eli Zaretskii <eliz@HIDDEN>, Dima Kogan <dima@HIDDEN>
References: <87oaekh4s5.fsf@HIDDEN> <83poz0zcsi.fsf@HIDDEN>
 <87poyzzpph.fsf@HIDDEN> <83bnajz88k.fsf@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <565568D9.2010005@HIDDEN>
Date: Tue, 24 Nov 2015 23:52:57 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:38.0) Gecko/20100101
 Thunderbird/38.3.0
MIME-Version: 1.0
In-Reply-To: <83bnajz88k.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.6 (/)
X-Debbugs-Envelope-To: 21999
Cc: 21999 <at> debbugs.gnu.org, deng@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

Eli Zaretskii wrote:
> After all, the size field of the pseudo-vector object is not
> really a size, but a bunch of bitfields, so I'm not sure testing it in
> its entirety makes sense.  Paul?

The point of the eassume is that it improves code quality in the common case 
where the size field is actually a size, since the compiler can generate better 
code when it knows that sizes are nonnegative.  Also, it should improve checking 
a bit, in case someone trashes a size field.

Looks like this is more trouble than it's worth, and we should get rid of that 
eassume, at least in emacs-25.  Or have you fixed it?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21999; Package emacs. Full text available.

Message received at 21999 <at> debbugs.gnu.org:


Received: (at 21999) by debbugs.gnu.org; 24 Nov 2015 16:32:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 24 11:32:43 2015
Received: from localhost ([127.0.0.1]:51563 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a1GWI-0001cw-V8
	for submit <at> debbugs.gnu.org; Tue, 24 Nov 2015 11:32:43 -0500
Received: from randomsample.de ([5.45.97.173]:53367)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <deng@HIDDEN>) id 1a1GWG-0001cn-7G
 for 21999 <at> debbugs.gnu.org; Tue, 24 Nov 2015 11:32:40 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=randomsample.de; s=a; 
 h=Content-Type:MIME-Version:Message-ID:Date:References:In-Reply-To:Subject:Cc:To:From;
 bh=CM7MNdBi6HxrdlXN7bt+AMyFL/Ac9bIg9wLLq6Ddh1Q=; 
 b=dzjI03OWpyZhZ196Hs3F4p6zWraMaU6O0bNho1kycpVZH+/ovt8AmQSlgJMJvhuJi2LnLj2qP8Vcnv/g0wFZ39kG/65zqePCp3xDehwCGeH0VC5tQh7f7WeQnEeVlFb0;
Received: from ip4d1645ea.dynamic.kabel-deutschland.de ([77.22.69.234]
 helo=isaac.fritz.box)
 by randomsample.de with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.80) (envelope-from <deng@HIDDEN>)
 id 1a1GWE-0000Yu-GX; Tue, 24 Nov 2015 17:32:38 +0100
From: David Engster <deng@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#21999: 25.0.50;
 Binary with --enable-checking immediately aborts with '0<=size'
In-Reply-To: <83bnajz88k.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 24 Nov
 2015 18:12:59 +0200")
References: <87oaekh4s5.fsf@HIDDEN> <83poz0zcsi.fsf@HIDDEN>
 <87poyzzpph.fsf@HIDDEN> <83bnajz88k.fsf@HIDDEN>
User-Agent: Gnus/5.13001 (Ma Gnus v0.10) Emacs/24.5 (gnu/linux)
Date: Tue, 24 Nov 2015 17:32:34 +0100
Message-ID: <87610rgxy5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.6 (/)
X-Debbugs-Envelope-To: 21999
Cc: 21999 <at> debbugs.gnu.org, eggert@HIDDEN,
 Dima Kogan <dima@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

Eli Zaretskii writes:
> David, please see that your problem is solved now.

It is, thank you! Since there seems to be more to discuss, I'm leaving
this bug open, but of course feel free to close it if you want to take
this somewhere else.

-David




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21999; Package emacs. Full text available.

Message received at 21999 <at> debbugs.gnu.org:


Received: (at 21999) by debbugs.gnu.org; 24 Nov 2015 16:13:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 24 11:13:50 2015
Received: from localhost ([127.0.0.1]:51546 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a1GE2-00017O-B5
	for submit <at> debbugs.gnu.org; Tue, 24 Nov 2015 11:13:50 -0500
Received: from mtaout28.012.net.il ([80.179.55.184]:34765)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1a1GDz-00017C-70
 for 21999 <at> debbugs.gnu.org; Tue, 24 Nov 2015 11:13:48 -0500
Received: from conversion-daemon.mtaout28.012.net.il by mtaout28.012.net.il
 (HyperSendmail v2007.08) id <0NYB00600U9M7400@HIDDEN> for
 21999 <at> debbugs.gnu.org; Tue, 24 Nov 2015 18:11:55 +0200 (IST)
Received: from HOME-C4E4A596F7 ([84.94.185.246]) by mtaout28.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NYB002M6UBV0L30@HIDDEN>; Tue, 24 Nov 2015 18:11:55 +0200 (IST)
Date: Tue, 24 Nov 2015 18:12:59 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#21999: 25.0.50;
 Binary with --enable-checking immediately aborts with '0<=size'
In-reply-to: <87poyzzpph.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Dima Kogan <dima@HIDDEN>
Message-id: <83bnajz88k.fsf@HIDDEN>
References: <87oaekh4s5.fsf@HIDDEN> <83poz0zcsi.fsf@HIDDEN>
 <87poyzzpph.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 21999
Cc: 21999 <at> debbugs.gnu.org, eggert@HIDDEN, deng@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Dima Kogan <dima@HIDDEN>
> Cc: David Engster <deng@HIDDEN>, Paul Eggert <eggert@HIDDEN>, 21999 <at> debbugs.gnu.org
> Date: Tue, 24 Nov 2015 01:55:38 -0800
> 
> This comes from recent changes that created gc_asize() for use in
> the GC, and changed ASIZE() to eassume() if we're not in the GC:
> 
>   https://github.com/emacs-mirror/emacs/commit/8afaa1321f808#diff-0e5d67da0ba3fb5c2886841cb3d0ccecR1547
> 
> This is a very recent change, so we're now seeing some of the effects.
> In this particular case FONT_ENTITY_P() was called from the GC; it
> called ASIZE(), which saw a marked object so we barfed in the eassume().
> This eassume() is only fatal if --enable-checking, which is why that is
> significant.
> 
> I don't know what the plan is here, so no patch is attached. Cc-ing
> Paul, since he authored the patch in question.

Right, thanks.  That eassume in ASIZE made any macro that uses ASIZE
unsafe to use in the garbage collector.

I fixed this in commit d5fdffe, but I suggest that we reconsider that
eassume.  After all, the size field of the pseudo-vector object is not
really a size, but a bunch of bitfields, so I'm not sure testing it in
its entirety makes sense.  Paul?

David, please see that your problem is solved now.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21999; Package emacs. Full text available.

Message received at 21999 <at> debbugs.gnu.org:


Received: (at 21999) by debbugs.gnu.org; 24 Nov 2015 09:55:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 24 04:55:45 2015
Received: from localhost ([127.0.0.1]:50283 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a1AK9-00077T-0R
	for submit <at> debbugs.gnu.org; Tue, 24 Nov 2015 04:55:45 -0500
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:45694)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <dima@HIDDEN>) id 1a1AK5-00077J-1N
 for 21999 <at> debbugs.gnu.org; Tue, 24 Nov 2015 04:55:42 -0500
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 5D22F20738
 for <21999 <at> debbugs.gnu.org>; Tue, 24 Nov 2015 04:55:40 -0500 (EST)
Received: from frontend1 ([10.202.2.160])
 by compute5.internal (MEProxy); Tue, 24 Nov 2015 04:55:40 -0500
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=secretsauce.net;
 h=cc:content-type:date:from:in-reply-to:message-id:mime-version
 :references:subject:to:x-sasl-enc:x-sasl-enc; s=mesmtp; bh=qc9oF
 Klw9mdl7OFbH2q6Yl7U02g=; b=mkURZRSkK9qBS1xjfMAkyCvfOXMJGMDu+Qs7v
 YvpGY8eqBde16gzBdn4IpGFAtBF6VhpGd7w8MdyVLsNj/sxxSGYjLwQkU0zA9gu7
 Atv3mLxuQWD17+Mwco/o3CsulPqGrh9Ny7oveTOOc4/iSarjuJTLg+BcfsaPH9Bx
 hShERM=
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-sasl-enc
 :x-sasl-enc; s=smtpout; bh=qc9oFKlw9mdl7OFbH2q6Yl7U02g=; b=oEyuU
 63guh9KpBRPq82yPWQd3/kDl1Jrj0oUT2PgjtscpTSpdnA8k9jZ7ps74Z4Ig4hz7
 IEY27PkObAhLnax4PzoQlrMla6a97BFbPpUMNmtIpjhbHT/5IHFL0r+Xo7TVOe4t
 lmXcvmaey4gQem6k6P2vx9NeNtIUf8iwjWRIyA=
X-Sasl-enc: j7CdzHMm9JbVBnGactjKEpdUngW1tgPH2xC7UmCwfZKT 1448358940
Received: from shorty.local (50-1-153-216.dsl.dynamic.fusionbroadband.com
 [50.1.153.216])
 by mail.messagingengine.com (Postfix) with ESMTPA id F1672C016DA;
 Tue, 24 Nov 2015 04:55:39 -0500 (EST)
Received: from localhost ([::1] helo=shorty)
 by shorty.local with esmtp (Exim 4.84)
 (envelope-from <dima@HIDDEN>)
 id 1a1AK2-0004yd-IM; Tue, 24 Nov 2015 01:55:38 -0800
References: <87oaekh4s5.fsf@HIDDEN> <83poz0zcsi.fsf@HIDDEN>
From: Dima Kogan <dima@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#21999: 25.0.50;
 Binary with --enable-checking immediately aborts with '0<=size'
In-reply-to: <83poz0zcsi.fsf@HIDDEN>
Date: Tue, 24 Nov 2015 01:55:38 -0800
Message-ID: <87poyzzpph.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 21999
Cc: 21999 <at> debbugs.gnu.org, Paul Eggert <eggert@HIDDEN>,
 David Engster <deng@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: David Engster <deng@HIDDEN>
>> Date: Mon, 23 Nov 2015 20:52:42 +0100
>> 
>> I've compiled from the emacs-25 branch (f146ea73a9ca6) with
>> 
>>   CFLAGS="-O0 -g3" ./configure --enable-checking
>> 
>> Running 'emacs -Q' directly from the src directory immediately aborts:
>> 
>>    lisp.h:1543: Emacs fatal error: assertion failed: 0 <= size
>>    Fatal error 6: Aborted
>
> Dima, can you look into this?

Sure. This comes from recent changes that created gc_asize() for use in
the GC, and changed ASIZE() to eassume() if we're not in the GC:

  https://github.com/emacs-mirror/emacs/commit/8afaa1321f808#diff-0e5d67da0ba3fb5c2886841cb3d0ccecR1547

This is a very recent change, so we're now seeing some of the effects.
In this particular case FONT_ENTITY_P() was called from the GC; it
called ASIZE(), which saw a marked object so we barfed in the eassume().
This eassume() is only fatal if --enable-checking, which is why that is
significant.

I don't know what the plan is here, so no patch is attached. Cc-ing
Paul, since he authored the patch in question.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21999; Package emacs. Full text available.

Message received at 21999 <at> debbugs.gnu.org:


Received: (at 21999) by debbugs.gnu.org; 23 Nov 2015 21:05:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 23 16:05:56 2015
Received: from localhost ([127.0.0.1]:49947 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a0yJA-00015F-CU
	for submit <at> debbugs.gnu.org; Mon, 23 Nov 2015 16:05:56 -0500
Received: from randomsample.de ([5.45.97.173]:52453)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <deng@HIDDEN>) id 1a0yJ8-000157-Pp
 for 21999 <at> debbugs.gnu.org; Mon, 23 Nov 2015 16:05:55 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=randomsample.de; s=a; 
 h=Content-Type:MIME-Version:Message-ID:Date:References:In-Reply-To:Subject:Cc:To:From;
 bh=9M3aQZwaZWuix2OpwWoMxZH8ve6U8u8HSP5PnhkK3cc=; 
 b=HwbLxcFa8LZMqfq0FVO/4lqgoWR8xS3OtYgeyaAdZvWLoVQrXvWDpjzRd/XXC44RKsw+M6fdqEXpJIed73ZavtturNw6LLJVAmVMYmVFXxd7b+U1oqwpENiMmWCZW0cO;
Received: from ip4d1645ea.dynamic.kabel-deutschland.de ([77.22.69.234]
 helo=isaac.fritz.box)
 by randomsample.de with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.80) (envelope-from <deng@HIDDEN>)
 id 1a0yJ7-0004TL-Mj; Mon, 23 Nov 2015 22:05:53 +0100
From: David Engster <deng@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#21999: 25.0.50;
 Binary with --enable-checking immediately aborts with '0<=size'
In-Reply-To: <83poz0zcsi.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 23 Nov
 2015 22:22:21 +0200")
References: <87oaekh4s5.fsf@HIDDEN> <83poz0zcsi.fsf@HIDDEN>
User-Agent: Gnus/5.13001 (Ma Gnus v0.10) Emacs/24.5 (gnu/linux)
Date: Mon, 23 Nov 2015 22:05:52 +0100
Message-ID: <87fuzwh1e7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.6 (/)
X-Debbugs-Envelope-To: 21999
Cc: 21999 <at> debbugs.gnu.org, Dima Kogan <dima@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

Eli Zaretskii writes:
>> From: David Engster <deng@HIDDEN>
>> Date: Mon, 23 Nov 2015 20:52:42 +0100
>> 
>
>> I've compiled from the emacs-25 branch (f146ea73a9ca6) with
>> 
>>   CFLAGS="-O0 -g3" ./configure --enable-checking
>> 
>> Running 'emacs -Q' directly from the src directory immediately aborts:
>> 
>>    lisp.h:1543: Emacs fatal error: assertion failed: 0 <= size
>>    Fatal error 6: Aborted
>> 
>> Running 'emacs -nw -Q' runs fine, though.
>> 
>> gdb-Backtrace:
>> 
>> Breakpoint 1, terminate_due_to_signal (sig=6, backtrace_limit=2147483647) at emacs.c:371
>> 371       signal (sig, SIG_DFL);
>> (gdb) bt
>> #0  terminate_due_to_signal (sig=6, backtrace_limit=2147483647) at emacs.c:371
>> #1  0x000000000060c908 in die (msg=0x7282e3 "0 <= size", file=0x728188 "lisp.h", line=1543) at alloc.c:7034
>> #2  0x000000000057a983 in ASIZE (array=20941717) at lisp.h:1543
>
> What kind of an object is 'array' in frame #2?

(gdb) xtype
Lisp_Vectorlike
PVEC_FONT

> And what is the value
> of 'size' in the same frame?

(gdb) p size
$9 = -4611686018175729650

-David




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21999; Package emacs. Full text available.

Message received at 21999 <at> debbugs.gnu.org:


Received: (at 21999) by debbugs.gnu.org; 23 Nov 2015 20:22:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 23 15:22:30 2015
Received: from localhost ([127.0.0.1]:49888 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a0xd8-0008CK-Ie
	for submit <at> debbugs.gnu.org; Mon, 23 Nov 2015 15:22:30 -0500
Received: from mtaout21.012.net.il ([80.179.55.169]:62901)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1a0xd6-0008C9-DM
 for 21999 <at> debbugs.gnu.org; Mon, 23 Nov 2015 15:22:29 -0500
Received: from conversion-daemon.a-mtaout21.012.net.il by
 a-mtaout21.012.net.il (HyperSendmail v2007.08) id
 <0NYA00300ARU7I00@HIDDEN> for 21999 <at> debbugs.gnu.org;
 Mon, 23 Nov 2015 22:22:26 +0200 (IST)
Received: from HOME-C4E4A596F7 ([84.94.185.246]) by a-mtaout21.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NYA003R5B9D5270@HIDDEN>;
 Mon, 23 Nov 2015 22:22:26 +0200 (IST)
Date: Mon, 23 Nov 2015 22:22:21 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#21999: 25.0.50;
 Binary with --enable-checking immediately aborts with '0<=size'
In-reply-to: <87oaekh4s5.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: David Engster <deng@HIDDEN>, Dima Kogan <dima@HIDDEN>
Message-id: <83poz0zcsi.fsf@HIDDEN>
References: <87oaekh4s5.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 21999
Cc: 21999 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: David Engster <deng@HIDDEN>
> Date: Mon, 23 Nov 2015 20:52:42 +0100
> 
> I've compiled from the emacs-25 branch (f146ea73a9ca6) with
> 
>   CFLAGS="-O0 -g3" ./configure --enable-checking
> 
> Running 'emacs -Q' directly from the src directory immediately aborts:
> 
>    lisp.h:1543: Emacs fatal error: assertion failed: 0 <= size
>    Fatal error 6: Aborted
> 
> Running 'emacs -nw -Q' runs fine, though.
> 
> gdb-Backtrace:
> 
> Breakpoint 1, terminate_due_to_signal (sig=6, backtrace_limit=2147483647) at emacs.c:371
> 371       signal (sig, SIG_DFL);
> (gdb) bt
> #0  terminate_due_to_signal (sig=6, backtrace_limit=2147483647) at emacs.c:371
> #1  0x000000000060c908 in die (msg=0x7282e3 "0 <= size", file=0x728188 "lisp.h", line=1543) at alloc.c:7034
> #2  0x000000000057a983 in ASIZE (array=20941717) at lisp.h:1543

What kind of an object is 'array' in frame #2?  And what is the value
of 'size' in the same frame?

Dima, can you look into this?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21999; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Nov 2015 19:53:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 23 14:53:23 2015
Received: from localhost ([127.0.0.1]:49874 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a0xAw-0007Ax-5a
	for submit <at> debbugs.gnu.org; Mon, 23 Nov 2015 14:53:22 -0500
Received: from eggs.gnu.org ([208.118.235.92]:53084)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <deng@HIDDEN>) id 1a0xAb-0007A3-AA
 for submit <at> debbugs.gnu.org; Mon, 23 Nov 2015 14:53:20 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <deng@HIDDEN>) id 1a0xAZ-0000ub-Az
 for submit <at> debbugs.gnu.org; Mon, 23 Nov 2015 14:53:00 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:44745)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <deng@HIDDEN>) id 1a0xAZ-0000uW-8g
 for submit <at> debbugs.gnu.org; Mon, 23 Nov 2015 14:52:59 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:34841)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <deng@HIDDEN>) id 1a0xAX-0005yW-Fq
 for bug-gnu-emacs@HIDDEN; Mon, 23 Nov 2015 14:52:59 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <deng@HIDDEN>) id 1a0xAU-0000tu-8I
 for bug-gnu-emacs@HIDDEN; Mon, 23 Nov 2015 14:52:57 -0500
Received: from randomsample.de ([5.45.97.173]:59237)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <deng@HIDDEN>) id 1a0xAT-0000rx-Tq
 for bug-gnu-emacs@HIDDEN; Mon, 23 Nov 2015 14:52:54 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=randomsample.de; s=a; 
 h=Content-Type:MIME-Version:Message-ID:Date:Subject:To:From;
 bh=CDOQtNZyV6gw+IGXV/Z20Mwjz9rYYDuWL8qBAoxXKM0=; 
 b=ubvjKIPVollWazUaFmzLbvQybYV579BSlLZ5n5+xwYRQI91MEiXSZ+SpijZdENLqT7c3TA6ggj4LZp2pk26VQCZW3hBVJQlzK3vJBU7LE8+37Nqw1/3IqGS9f81gIgYJ;
Received: from ip4d1645ea.dynamic.kabel-deutschland.de ([77.22.69.234]
 helo=isaac.fritz.box)
 by randomsample.de with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.80) (envelope-from <deng@HIDDEN>)
 id 1a0xAN-0003mm-3K
 for bug-gnu-emacs@HIDDEN; Mon, 23 Nov 2015 20:52:47 +0100
From: David Engster <deng@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 25.0.50;
 Binary with --enable-checking immediately aborts with '0<=size'
Date: Mon, 23 Nov 2015 20:52:42 +0100
Message-ID: <87oaekh4s5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.9 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

I've compiled from the emacs-25 branch (f146ea73a9ca6) with

  CFLAGS="-O0 -g3" ./configure --enable-checking

Running 'emacs -Q' directly from the src directory immediately aborts:

   lisp.h:1543: Emacs fatal error: assertion failed: 0 <= size
   Fatal error 6: Aborted

Running 'emacs -nw -Q' runs fine, though.

gdb-Backtrace:

Breakpoint 1, terminate_due_to_signal (sig=6, backtrace_limit=2147483647) at emacs.c:371
371       signal (sig, SIG_DFL);
(gdb) bt
#0  terminate_due_to_signal (sig=6, backtrace_limit=2147483647) at emacs.c:371
#1  0x000000000060c908 in die (msg=0x7282e3 "0 <= size", file=0x728188 "lisp.h", line=1543) at alloc.c:7034
#2  0x000000000057a983 in ASIZE (array=20941717) at lisp.h:1543
#3  0x000000000057d3df in FONT_ENTITY_P (x=20941717) at font.h:434
#4  0x000000000057d598 in XFONT_ENTITY (p=20941717) at font.h:482
#5  0x00000000006091a7 in compact_font_cache_entry (entry=18625795) at alloc.c:5351
#6  0x0000000000609494 in compact_font_caches () at alloc.c:5405
#7  0x0000000000609bc4 in garbage_collect_1 (end=0x7fffffffaf38) at alloc.c:5585
#8  0x000000000060a267 in Fgarbage_collect () at alloc.c:5790
#9  0x000000000057cac1 in maybe_gc () at lisp.h:4638
#10 0x000000000062ec3c in eval_sub (form=11527611) at eval.c:2076
#11 0x000000000062e91f in Feval (form=11527611, lexical=0) at eval.c:1988
#12 0x000000000059375c in eval_dyn (form=11527611) at keyboard.c:7531
#13 0x000000000062d014 in internal_condition_case_1 (bfun=0x593734 <eval_dyn>, arg=11527611, handlers=18912, hfun=0x5936a0 <menu_item_eval_property_1>) at eval.c:1333
#14 0x00000000005937b9 in menu_item_eval_property (sexpr=11527611) at keyboard.c:7542
#15 0x00000000005946a0 in parse_menu_item (item=0, inmenubar=0) at keyboard.c:7724
#16 0x00000000004ac249 in single_menu_item (key=8772592, item=19642179, dummy=0, skp_v=0x7fffffffb490) at menu.c:330
#17 0x000000000059ec64 in map_keymap_item (fun=0x4ac1fc <single_menu_item>, args=0, key=8772592, val=19642179, data=0x7fffffffb490) at keymap.c:545
#18 0x000000000059ef3d in map_keymap_internal (map=18680595, fun=0x4ac1fc <single_menu_item>, args=0, data=0x7fffffffb490) at keymap.c:582
#19 0x000000000059f2b9 in map_keymap_canonical (map=18680595, fun=0x4ac1fc <single_menu_item>, args=0, data=0x7fffffffb490) at keymap.c:640
#20 0x00000000004ac086 in single_keymap_panes (keymap=19441795, pane_name=10561772, prefix=4284576, maxdepth=10) at menu.c:299
#21 0x00000000004acfe6 in parse_single_submenu (item_key=4284576, item_name=10561772, maps=0) at menu.c:567
#22 0x00000000004b02c6 in set_frame_menubar (f=0x13f5820, first_time=true, deep_p=true) at xmenu.c:787
#23 0x00000000004b0812 in initialize_frame_menubar (f=0x13f5820) at xmenu.c:1023
#24 0x00000000005547b2 in Fx_create_frame (parms=18626179) at xfns.c:3521
#25 0x0000000000630abf in Ffuncall (nargs=2, args=0x7fffffffb908) at eval.c:2693
#26 0x000000000067b4d3 in exec_byte_code (bytestr=10601876, vector=10601909, maxdepth=18, args_template=0, nargs=0, args=0x0) at bytecode.c:880
#27 0x000000000063188a in funcall_lambda (fun=10601813, nargs=1, arg_vector=0xa1c5b5 <pure+529461>) at eval.c:2921
#28 0x0000000000630d40 in Ffuncall (nargs=2, args=0x7fffffffbe40) at eval.c:2742
#29 0x000000000067b4d3 in exec_byte_code (bytestr=22245908, vector=18179237, maxdepth=14, args_template=1030, nargs=1, args=0x7fffffffc4c0) at bytecode.c:880
#30 0x000000000063145c in funcall_lambda (fun=21677437, nargs=1, arg_vector=0x7fffffffc4b8) at eval.c:2855
#31 0x0000000000630d40 in Ffuncall (nargs=2, args=0x7fffffffc4b0) at eval.c:2742
#32 0x000000000062f823 in Fapply (nargs=2, args=0x7fffffffc4b0) at eval.c:2278
#33 0x0000000000630984 in Ffuncall (nargs=3, args=0x7fffffffc4a8) at eval.c:2673
#34 0x000000000067b4d3 in exec_byte_code (bytestr=18986020, vector=19710709, maxdepth=62, args_template=514, nargs=1, args=0x7fffffffca50) at bytecode.c:880
#35 0x000000000063145c in funcall_lambda (fun=20375285, nargs=1, arg_vector=0x7fffffffca50) at eval.c:2855
#36 0x0000000000630d40 in Ffuncall (nargs=2, args=0x7fffffffca48) at eval.c:2742
#37 0x000000000067b4d3 in exec_byte_code (bytestr=11236636, vector=11236669, maxdepth=54, args_template=1026, nargs=1, args=0x7fffffffcf98) at bytecode.c:880
#38 0x000000000063145c in funcall_lambda (fun=11236581, nargs=1, arg_vector=0x7fffffffcf90) at eval.c:2855
#39 0x0000000000630d40 in Ffuncall (nargs=2, args=0x7fffffffcf88) at eval.c:2742
#40 0x000000000067b4d3 in exec_byte_code (bytestr=11233100, vector=11233133, maxdepth=26, args_template=2, nargs=0, args=0x7fffffffd4d0) at bytecode.c:880
#41 0x000000000063145c in funcall_lambda (fun=11233053, nargs=0, arg_vector=0x7fffffffd4d0) at eval.c:2855
#42 0x0000000000630d40 in Ffuncall (nargs=1, args=0x7fffffffd4c8) at eval.c:2742
#43 0x000000000067b4d3 in exec_byte_code (bytestr=11271732, vector=11271765, maxdepth=86, args_template=2, nargs=0, args=0x7fffffffda88) at bytecode.c:880
#44 0x000000000063145c in funcall_lambda (fun=11271685, nargs=0, arg_vector=0x7fffffffda88) at eval.c:2855
#45 0x0000000000630d40 in Ffuncall (nargs=1, args=0x7fffffffda80) at eval.c:2742
#46 0x000000000067b4d3 in exec_byte_code (bytestr=11267740, vector=11267773, maxdepth=50, args_template=2, nargs=0, args=0x7fffffffdf30) at bytecode.c:880
#47 0x000000000063145c in funcall_lambda (fun=11267693, nargs=0, arg_vector=0x7fffffffdf30) at eval.c:2855
#48 0x00000000006310fe in apply_lambda (fun=11267693, args=0, count=3) at eval.c:2794
#49 0x000000000062f4c1 in eval_sub (form=19539859) at eval.c:2211
#50 0x000000000062e91f in Feval (form=19539859, lexical=0) at eval.c:1988
#51 0x0000000000583d34 in top_level_2 () at keyboard.c:1095
#52 0x000000000062cf7a in internal_condition_case (bfun=0x583d11 <top_level_2>, handlers=18912, hfun=0x58372e <cmd_error>) at eval.c:1309
#53 0x0000000000583d75 in top_level_1 (ignore=0) at keyboard.c:1103
#54 0x000000000062c524 in internal_catch (tag=45696, func=0x583d36 <top_level_1>, arg=0) at eval.c:1074
#55 0x0000000000583c67 in command_loop () at keyboard.c:1064
#56 0x000000000058320d in recursive_edit_1 () at keyboard.c:671
#57 0x0000000000583418 in Frecursive_edit () at keyboard.c:742
#58 0x000000000058122b in main (argc=1, argv=0x7fffffffe448) at emacs.c:1656

Lisp Backtrace:
"Automatic GC" (0x0)
"x-create-frame" (0xffffb910)
"x-create-frame-with-faces" (0xffffbe48)
0x14ac578 PVEC_COMPILED
"apply" (0xffffc4b0)
"frame-creation-function" (0xffffca50)
"make-frame" (0xffffcf90)
"frame-initialize" (0xffffd4d0)
"command-line" (0xffffda88)
"normal-top-level" (0xffffdf30)

Configure output:

Configured for 'x86_64-unknown-linux-gnu'.

  Where should the build process find the source code?    .
  What compiler should emacs be built with?               gcc -std=gnu99 -O0 -g3
  Should Emacs use the GNU version of malloc?             yes
      (Using Doug Lea's new malloc from the GNU C Library.)
  Should Emacs use a relocating allocator for buffers?    no
  Should Emacs use mmap(2) for buffer allocation?         no
  What window system should Emacs use?                    x11
  What toolkit should Emacs use?                          GTK3
  Where do we find X Windows header files?                Standard dirs
  Where do we find X Windows libraries?                   Standard dirs
  Does Emacs use -lXaw3d?                                 no
  Does Emacs use -lXpm?                                   yes
  Does Emacs use -ljpeg?                                  yes
  Does Emacs use -ltiff?                                  yes
  Does Emacs use a gif library?                           yes -lgif
  Does Emacs use a png library?                           yes -lpng12
  Does Emacs use -lrsvg-2?                                yes
  Does Emacs use cairo?                                   no
  Does Emacs use imagemagick?                             yes
  Does Emacs support sound?                               yes
  Does Emacs use -lgpm?                                   yes
  Does Emacs use -ldbus?                                  yes
  Does Emacs use -lgconf?                                 no
  Does Emacs use GSettings?                               yes
  Does Emacs use a file notification library?             yes -lglibc (inotify)
  Does Emacs use access control lists?                    no
  Does Emacs use -lselinux?                               no
  Does Emacs use -lgnutls?                                yes
  Does Emacs use -lxml2?                                  yes
  Does Emacs use -lfreetype?                              yes
  Does Emacs use -lm17n-flt?                              yes
  Does Emacs use -lotf?                                   yes
  Does Emacs use -lxft?                                   yes
  Does Emacs directly use zlib?                           yes
  Does Emacs have dynamic modules support?                no
  Does Emacs use toolkit scroll bars?                     yes





Acknowledgement sent to David Engster <deng@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#21999; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 3 Jul 2016 01:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.